Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
WiresharkDialog Class Reference
Inheritance diagram for WiresharkDialog:

## Public Member Functions
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called. More...
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be desroyed at this point. More...
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *, Qt::WindowFlags f=0)

## Protected Slots
void | captureEvent (CaptureEvent)

## Protected Member Functions
virtual void | keyPressEvent (QKeyEvent *event)
virtual void | accept ()
virtual void | reject ()
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title. More...
const QString & | windowSubtitle ()
virtual void | updateWidgets ()
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, guint flags, void(*tap_reset)(void *tapdata), gboolean(*tap_packet)(void *tapdata, struct _packet_info *pinfo, struct epan_dissect *edt, const void *data), void(*tap_draw)(void *tap_data))
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners. More...
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | dialogClosed ()
| Check to see if the user has closed (and not minimized) the dialog. More...
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to enable or disable widgets according to the state of file_closed_.
virtual void | captureFileClosed ()
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())

## Protected Attributes
CaptureFile & | cap_file_
bool | file_closed_
| true if the file has been closed, false otherwise.

## Member Function Documentation

void WiresharkDialog::beginRetapPackets | ( |  | ) |

Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.

This is automatically called when tapping begins, but might need to be called explicilty if any member functions are called or variables are accessed after tapping is finished.

bool WiresharkDialog::dialogClosed | ( |  | ) |
| inlineprotected

Check to see if the user has closed (and not minimized) the dialog.

Returns
  true if the dialog has been closed, false otherwise.

void WiresharkDialog::endRetapPackets | ( |  | ) |
| virtual

Mark the end of a code block that retaps packets. If the user has closed the dialog it will be desroyed at this point.

This is automatically called when tapping ends, but might need to be called explicilty if any member functions are called or variables are accessed after tapping is finished.

bool WiresharkDialog::registerTapListener | ( | const char * | tap_name,
|  | void * | tap_data,
|  | const char * | filter,
|  | guint | flags,
|  | void(*)(void *tapdata) | tap_reset,
|  | gboolean(*)(void *tapdata, struct _packet_info *pinfo, struct epan_dissect *edt, const void *data) | tap_packet,
|  | void(*)(void *tap_data) | tap_draw
| ) |  |
| protected

Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.

Shows a warning dialog if registration is unsuccessful.

Parameters

  tap_name | A registered tap name.
  tap_data | A unique pointer. Usually 'this'.
  filter | A display filter.
  flags | See register_tap_listener.
  tap_reset | Reset callback.
  tap_packet | Per-packet callback.
  tap_draw | Draw callback.

void WiresharkDialog::setWindowSubtitle | ( | const QString & | subtitle | ) |
| protected

Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.

Parameters

  subtitle | The subtitle to add. It should be unique, short, and descriptive.

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/wireshark_dialog.h
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/wireshark_dialog.cpp